{"title":"Update picture","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_picture_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_picture_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_picture_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Updates a picture object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":83,"chars":531},{"level":2,"title":"Request headers","slug":"request-headers","at":614,"chars":256},{"level":2,"title":"Request body","slug":"request-body","at":870,"chars":339},{"level":2,"title":"Response","slug":"response","at":1209,"chars":128},{"level":2,"title":"Example","slug":"example","at":1337,"chars":192},{"level":2,"title":"Related information","slug":"related-information","at":1529,"chars":173}],"text":"Updates the properties and relationships of a picture object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({companyId})/items({itemId})/picture/pictureContent\nPATCH businesscentralPrefix/companies({companyId})/vendors({vendorId})/picture/pictureContent\nPATCH businesscentralPrefix/companies({companyId})/employees({employeeId})/picture/pictureContent\nPATCH businesscentralPrefix/companies({companyId})/customers({customerId})/picture/pictureContent\n\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the picture, the picture won't be updated.\n## Request body\nIn the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.\n## Response\nIf successful, this method returns `204 No Content` response code. It doesn't return anything in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v2.0/companies(companyId)/items(itemId)/picture/pictureContent\n```\nResponse\nNo response.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_picture\ndynamics_picture_get\ndynamics_picture_delete"}